The LuaSandboxFunction class

- « LuaSandbox::wrapPhpFunction

- LuaSandboxFunction::call »

- PHP Manual
- LuaSandbox
- The LuaSandboxFunction class

# The LuaSandboxFunction class

(PECL luasandbox >= 1.0.0)

## Introduction

Represents a Lua function, allowing it to be called from PHP.

A LuaSandboxFunction may be obtained as a return value from Lua, as a parameter passed to a callback from Lua, or by using LuaSandbox::wrapPhpFunction(), LuaSandbox::loadString(), or LuaSandbox::loadBinary().

## Class synopsis

class LuaSandboxFunction {
/* Methods */
public call(string `...$args`): array|bool
public dump(): string
}

## Table of Contents

- LuaSandboxFunction::call — Call a Lua function
- LuaSandboxFunction::__construct — Unused
- LuaSandboxFunction::dump — Dump the function as a binary blob